Package owl.ltl

## Class BooleanConstant

- java.lang.Object
- - owl.ltl.BooleanConstant

- All Implemented Interfaces:
    `Formula`

      public final class BooleanConstant
      extends Object
      implements Formula

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static BooleanConstant` | `FALSE` |
    `static BooleanConstant` | `TRUE` |
    `boolean` | `value` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<A,B> A` | `accept​(BinaryVisitor<B,A> v, B parameter)` |
    `int` | `accept​(IntVisitor v)` |
    `<R> R` | `accept​(Visitor<R> v)` |
    `boolean` | `allMatch​(Predicate<Formula> predicate)` |
    `boolean` | `anyMatch​(Predicate<Formula> predicate)` |
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |
    `boolean` | `isPureEventual()` |
    `boolean` | `isPureUniversal()` |
    `boolean` | `isSuspendable()` |
    `Formula` | `nnf()` |
    `BooleanConstant` | `not()` | Syntactically negate this formula.
    `static BooleanConstant` | `of​(boolean value)` |
    `Formula` | `temporalStep​(BitSet valuation)` | Do a single temporal step.
    `Formula` | `temporalStepUnfold​(BitSet valuation)` | Short-cut operation to avoid intermediate construction of formula ASTs.
    `String` | `toString()` |
    `Formula` | `unfold()` |
    `Formula` | `unfoldTemporalStep​(BitSet valuation)` | Short-cut operation to avoid intermediate construction of formula ASTs.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FALSE

          public static final BooleanConstant FALSE

    - #### TRUE

          public static final BooleanConstant TRUE

    - #### value

          public final boolean value

  - ### Method Detail

    - #### of

          public static BooleanConstant of​(boolean value)

    - #### accept

          public int accept​(IntVisitor v)

      Specified by:
        `accept` in interface `Formula`

    - #### accept

          public <R> R accept​(Visitor<R> v)

      Specified by:
        `accept` in interface `Formula`

    - #### accept

          public <A,B> A accept​(BinaryVisitor<B,A> v,
                                B parameter)

      Specified by:
        `accept` in interface `Formula`

    - #### allMatch

          public boolean allMatch​(Predicate<Formula> predicate)

      Specified by:
        `allMatch` in interface `Formula`

    - #### anyMatch

          public boolean anyMatch​(Predicate<Formula> predicate)

      Specified by:
        `anyMatch` in interface `Formula`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### isPureEventual

          public boolean isPureEventual()

      Specified by:
        `isPureEventual` in interface `Formula`

    - #### isPureUniversal

          public boolean isPureUniversal()

      Specified by:
        `isPureUniversal` in interface `Formula`

    - #### isSuspendable

          public boolean isSuspendable()

      Specified by:
        `isSuspendable` in interface `Formula`

    - #### nnf

          public Formula nnf()

      Specified by:
        `nnf` in interface `Formula`

    - #### not

          @Nonnull
          public BooleanConstant not()

      Description copied from interface: `Formula`
      Syntactically negate this formula.

      If this formula is in NNF, the returned negation will also be in NNF.

      Specified by:
        `not` in interface `Formula`
      Returns:
        the negation of this formula.

    - #### temporalStep

          public Formula temporalStep​(BitSet valuation)

      Description copied from interface: `Formula`
      Do a single temporal step. This means that one layer of X-operators is removed and literals are replaced by their valuations.
      Specified by:
        `temporalStep` in interface `Formula`

    - #### temporalStepUnfold

          public Formula temporalStepUnfold​(BitSet valuation)

      Description copied from interface: `Formula`
      Short-cut operation to avoid intermediate construction of formula ASTs.
      Specified by:
        `temporalStepUnfold` in interface `Formula`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### unfold

          public Formula unfold()

      Specified by:
        `unfold` in interface `Formula`

    - #### unfoldTemporalStep

          public Formula unfoldTemporalStep​(BitSet valuation)

      Description copied from interface: `Formula`
      Short-cut operation to avoid intermediate construction of formula ASTs.
      Specified by:
        `unfoldTemporalStep` in interface `Formula`